#include <sru.h>
#include <def21375.h>
#include <cdef21375.h>

// This function will setup the SRU Registers

void InitSRU(void)
{
//Generating Code for connecting : FLAG4 to DPI_PIN1
	// Enable pull-up resistors on unused DAI pins
	
	*pDAI_PIN_PULLUP = 0xf3fff;

	// Enable pull-up resistors on unused DPI pins
	*pDPI_PIN_PULLUP = 0xf1f;

	//Generating Code for connecting : LOW to DAI_PIN15
	SRU (HIGH, PBEN15_I); 
	SRU (LOW, DAI_PB15_I); 

	//Generating Code for connecting : LOW to DAI_PIN16
	SRU (HIGH, PBEN16_I); 
	SRU (LOW, DAI_PB16_I); 

	//Generating Code for connecting : FLAG4 to DPI_PIN6
	SRU (HIGH, DPI_PBEN06_I); 
	SRU (FLAG4_O, DPI_PB06_I); 

	//Generating Code for connecting : FLAG5 to DPI_PIN7
	SRU (HIGH, DPI_PBEN07_I); 
	SRU (FLAG5_O, DPI_PB07_I); 

	//Generating Code for connecting : FLAG6 to DPI_PIN8
	SRU (HIGH, DPI_PBEN08_I); 
	SRU (FLAG6_O, DPI_PB08_I); 

	//Generating Code for connecting : FLAG7 to DPI_PIN13
	SRU (HIGH, DPI_PBEN13_I); 
	SRU (FLAG7_O, DPI_PB13_I); 

	//Generating Code for connecting : FLAG8 to DPI_PIN14
	//SRU (HIGH, DPI_PBEN14_I); 
	//SRU (FLAG8_O, DPI_PB14_I); 
	// Return back from the subroutine
	
	SRU (TIMER1_O, TIMER0_I); 
	
	SRU (HIGH, DPI_PBEN14_I); 
	SRU (TIMER1_O, DPI_PB14_I); 
}	
